function [index_pair] = GenConstraintPairs(label_train,kk)
% calculate the index of randomly selected positive and negative samples

num_train = length(label_train);

Lr = repmat(label_train,num_train,1);
Lq = repmat(label_train',1, num_train);
Mask = Lr==Lq;


k = 0;

for indx = 1 : size(Mask,1)
    Mask(indx,indx) = -1;
    indy_same = find(Mask(indx,indx+1:end)==1);
    indy_diff = find(Mask(indx,:)==0);  
    indy_same = indy_same+indx;
   
    randind = randperm(length(indy_diff));
    for i = 1 : length(indy_same)
        index_pair(k+(i-1)*kk+1,1) = indx;
        index_pair(k+(i-1)*kk+1,2) = indy_same(i);
        for j= 2: kk
            index_pair(k+(i-1)*kk+j,1) = indx;
            index_pair(k+(i-1)*kk+j,2) = indy_diff(randind((kk-1)*(i-1)+(j-1)));
        end       
    end
    k = k + kk*length(indy_same);
end




